#! /usr/bin/python
# -*- coding: utf-8 -*-

# HARK Middleware
# Copyright (C) 2013-2019 by Honda Research Institute Japan Co., Ltd.
# $Id:$


class Link:
    """ネットワークファイル内のリンク定義を管理する

    Attributes
    ----------
    pinFrom : TerminalDef
        リンクの始点
    pinTo : TerminalDef
        リンクの終点
    """

    def __init__(self, pinFrom, pinTo):
        """リンク定義を初期化する

        Parameters
        ----------
        pinFrom : TerminalDef
            リンクの始点
        pinTo : TerminalDef
            リンクの終点
        """
        self.pinFrom = pinFrom
        self.pinTo = pinTo

    def dump(self, prefix=''):
        """
        デバッグ用のダンプ出力
        """
        print(prefix + '[Link]')
        print(prefix + '  from: node="%s", pin="%s"' %
              (self.pinFrom.node.name, self.pinFrom.name))
        print(prefix + '  to:   node="%s", pin="%s"' %
              (self.pinTo.node.name, self.pinTo.name))

# end of file
