#! /usr/bin/python
# -*- coding: utf-8 -*-

# Copyright (C) 2013 - 2020 Honda Research Institute Japan Co., Ltd.
# All rights reserved.
# HARK was developed by researchers in Okuno Laboratory
# at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
# 
# Licensed under the HARK license, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# https://www.hark.jp/notice/HARK_License_Agreement.pdf

from harkmw.HarkError import HARKError

import harkmwnative


class Dynamic:
    """ノードの実装を収めた tlb ファイルの動的ロードに関するクラス
    """

    def __init__(self):
        """クラスの初期化を行う
        """
        pass

    def load_dynamic(self, path):
        """指定したパスから tlb ファイルの読み込みを行う

        Parameters
        ----------
        path : str
            tlb ファイルのパス
        """
        try:
            harkmwnative.load_dynamic(path)

        except BaseException:
            raise HARKError("Failed to load dynamic library '%s'" % path)

    def print_modules(self):
        """tlb ファイルに関する情報を出力する
        """
        try:
            harkmwnative.print_modules()

        except BaseException:
            raise HARKError("Failed to print modules")

# end of file
